{{- if .Values.jaeger-operator.enabled }}
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: jaeger
  namespace: argocd
spec:
  project: atlantis
  destination:
    server: https://kubernetes.default.svc
    namespace: jaeger
  sources:
  - repoURL: https://jaegertracing.github.io/helm-charts
    targetRevision: 2.54.0
    chart: jaeger-operator
    helm:
      valueFiles:
        - $values/values/jaeger/values.yaml
  - repoURL: https://gitlab.com/oceanbox/manifests.git
    targetRevision: main
    # path: values/jaeger/manifests
    ref: values

{{- end }}
